﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs_content = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url64bit      = "https://install.skycoder42.de/installers/qpmx/win_x64/de.skycoder42.qpmx/1.3.0content.7z"
  checksum64    = '5131CD13D1B4E4DF0221AC69A53003B152B3E36FAE4BF168C8D1503754404504'
  checksumType64= 'sha256'
}

$packageArgs_include = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url64bit      = "https://install.skycoder42.de/installers/qpmx/win_x64/de.skycoder42.qpmx/1.3.0include.7z"
  checksum64    = 'CF6BD79BDB83D0247E2141A7060D78771F78F2B6901C769D028BBD29C7B456E3'
  checksumType64= 'sha256'
}

$packageArgs_plugins = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url64bit      = "https://install.skycoder42.de/installers/qpmx/win_x64/de.skycoder42.qpmx/1.3.0plugins.7z"
  checksum64    = '265CBBED4F5745AFEFCE9586A29BB39144F6BE161A86C45675B811CAB00604AE'
  checksumType64= 'sha256'
}

$packageArgs_translation = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url64bit      = "https://install.skycoder42.de/installers/qpmx/win_x64/de.skycoder42.qpmx/1.3.0translations.7z"
  checksum64    = 'F91DC9C8631F4476FFCE8B9516D9E6E68B32549218ED60DEA7C0F58524333E1F'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs_content
Install-ChocolateyZipPackage @packageArgs_include
Install-ChocolateyZipPackage @packageArgs_plugins
Install-ChocolateyZipPackage @packageArgs_translation










    








